<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><title>2.2.3. Examples of iptables Rules</title><link rel="stylesheet" href="./Common_Content/css/default.css" type="text/css"/><meta name="generator" content="publican"/><meta name="package" content="Red_Hat_Enterprise_Linux-Cluster_Administration-5-en-US-3-13"/><link rel="home" href="index.html" title="Cluster Administration"/><link rel="up" href="s1-iptables-CA.html" title="2.2. Enabling IP Ports"/><link rel="prev" href="s2-iptables-conga-CA.html" title="2.2.2. Enabling IP Ports on Computers That Run luci"/><link rel="next" href="s1-acpi-CA.html" title="2.3. Configuring ACPI For Use with Integrated Fence Devices"/></head><body class=""><p id="title"><a class="left" href="http://www.redhat.com"><img src="Common_Content/images/image_left.png" alt="Product Site"/></a><a class="right" href="http://www.redhat.com/docs"><img src="Common_Content/images/image_right.png" alt="Documentation Site"/></a></p><ul class="docnav"><li class="previous"><a accesskey="p" href="s2-iptables-conga-CA.html"><strong>Prev</strong></a></li><li class="next"><a accesskey="n" href="s1-acpi-CA.html"><strong>Next</strong></a></li></ul><div class="section" lang="en-US"><div class="titlepage"><div><div><h3 class="title" id="s2-iptables-examples-CA">2.2.3. Examples of <code class="command">iptables</code> Rules</h3></div></div></div><div class="para">
				This section provides <code class="command">iptables</code> rule examples for enabling IP ports on Red Hat Cluster nodes and computers that run <span class="application"><strong>luci</strong></span>. The examples enable IP ports for a computer having an IP address of 10.10.10.200, using a subnet mask of 10.10.10.0/24.
			</div><div class="note"><h2>Note</h2><div class="para">
					Examples are for cluster nodes unless otherwise noted in the example titles.
				</div></div><div class="example" id="ex-ip-port-cman-CA"><div class="example-contents"><div class="para">
					<div class="note"><h2>Note</h2><div class="para">
							Both rules in <a class="xref" href="s2-iptables-examples-CA.html#ex-ip-port-cman-CA" title="Example 2.1. Port 5404, 5405: cman">Example 2.1, “Port 5404, 5405: cman”</a> are required.
						</div></div>
				</div><div class="para">
					The first rule in this example is for use with a multicast address generated by <code class="command">cman</code>. If you specify a multicast address manually, make the rule using the multicast address that you specify instead of the <code class="command">cman</code>-generated multicast address. For more information about configuring a multicast address, refer to <a class="xref" href="s1-general-prop-conga-CA.html" title="3.4. Global Cluster Properties">Section 3.4, “Global Cluster Properties”</a> or <a class="xref" href="s1-start-clustertool-CA.html" title="5.2. Starting the Cluster Configuration Tool">Section 5.2, “Starting the Cluster Configuration Tool”</a>. 
<pre class="screen">
iptables -A INPUT -s 10.10.10.0/24 -d 239.192.0.0/16 -p udp -m state --state NEW -m multiport --dports 5404,5405 -j ACCEPT
</pre>
				</div><div class="para">
					
<pre class="screen">
iptables -A INPUT -s 10.10.10.0/24 -d 10.10.10.0/24 -p udp -m state --state NEW -m multiport --dports 5404,5405 -j ACCEPT
</pre>
				</div></div><h6>Example 2.1. Port 5404, 5405: cman</h6></div><br class="example-break"/><div class="example" id="ex-ip-port-luci-CA"><div class="example-contents"><pre class="screen">-A INPUT -i 10.10.10.200 -m state --state NEW -m multiport -p tcp -s 10.10.10.0/24 -d 10.10.10.0/24 --dports 8084 -j ACCEPT
</pre></div><h6>Example 2.2. Port 8084: luci (Cluster Node or Computer Running <span class="application">luci</span>)</h6></div><br class="example-break"/><div class="example" id="ex-ip-port-ricci-CA"><div class="example-contents"><pre class="screen">-A INPUT -i 10.10.10.200 -m state --state NEW -m multiport -p tcp -s 10.10.10.0/24 -d 10.10.10.0/24 --dports 11111 -j ACCEPT
</pre></div><h6>Example 2.3. Port 11111: ricci (Cluster Node and Computer Running <span class="application">luci</span>)</h6></div><br class="example-break"/><div class="example" id="ex-ip-port-gnbd-CA"><div class="example-contents"><pre class="screen">-A INPUT -i 10.10.10.200 -m state --state NEW -m multiport -p tcp -s 10.10.10.0/24 -d 10.10.10.0/24 --dports 14567 -j ACCEPT
</pre></div><h6>Example 2.4. Port 14567: gnbd</h6></div><br class="example-break"/><div class="example" id="ex-ip-port-modclusterd-CA"><div class="example-contents"><pre class="screen">-A INPUT -i 10.10.10.200 -m state --state NEW -m multiport -p tcp -s 10.10.10.0/24 -d 10.10.10.0/24 --dports 16851 -j ACCEPT
</pre></div><h6>Example 2.5. Port 16851: modclusterd</h6></div><br class="example-break"/><div class="example" id="ex-ip-port-dlm-CA"><div class="example-contents"><pre class="screen">-A INPUT -i 10.10.10.200 -m state --state NEW -m multiport -p tcp -s 10.10.10.0/24 -d 10.10.10.0/24 --dports 21064 -j ACCEPT
</pre></div><h6>Example 2.6. Port 21064: dlm</h6></div><br class="example-break"/><div class="example" id="ex-ip-port-rgmanager-CA"><div class="example-contents"><pre class="screen">-A INPUT -i 10.10.10.200 -m state --state NEW -m multiport -p tcp -s 10.10.10.0/24 -d 10.10.10.0/24 --dports 41966,41967,41968,41969 -j ACCEPT
</pre></div><h6>Example 2.7. Ports 41966, 41967, 41968, 41969: rgmanager</h6></div><br class="example-break"/><div class="example" id="ex-ip-port-ccsd-tcp-CA"><div class="example-contents"><pre class="screen">-A INPUT -i 10.10.10.200 -m state --state NEW -m multiport -p tcp -s 10.10.10.0/24 -d 10.10.10.0/24 --dports 50006,50008,50009 -j ACCEPT
</pre></div><h6>Example 2.8. Ports 50006, 50008, 50009: ccsd (TCP)</h6></div><br class="example-break"/><div class="example" id="ex-ip-port-ccsd-udp-CA"><div class="example-contents"><pre class="screen">-A INPUT -i 10.10.10.200 -m state --state NEW -m multiport -p udp -s 10.10.10.0/24 -d 10.10.10.0/24 --dports 50007 -j ACCEPT
</pre></div><h6>Example 2.9. Port 50007: ccsd (UDP)</h6></div><br class="example-break"/></div><ul class="docnav"><li class="previous"><a accesskey="p" href="s2-iptables-conga-CA.html"><strong>Prev</strong>2.2.2. Enabling IP Ports on Computers That Run lu...</a></li><li class="up"><a accesskey="u" href="#"><strong>Up</strong></a></li><li class="home"><a accesskey="h" href="index.html"><strong>Home</strong></a></li><li class="next"><a accesskey="n" href="s1-acpi-CA.html"><strong>Next</strong>2.3. Configuring ACPI For Use with Integrated Fen...</a></li></ul></body></html>